// dependency: https://github.com/revarbat/BOSL
include <BOSL/constants.scad>
use <BOSL/transforms.scad>
use <BOSL/shapes.scad>
use <BOSL/masks.scad>
use <BOSL/sliders.scad>

use <specs_platform.scad>
use <specs_strap.scad>

use <strap_common.scad>

module foreach_platform_strap_connector() {
    offset=get_platform_strap_connector_offset();
    for (i=[0:3]) {
        translate([((i%2*(-2)+1) * offset.x), -((round(i/2)%2*(-2)+1) * offset.y), offset.z])
        zrot(90 + (round(i/2)%2*180))
        children();
    }
}

